Storyden
Auth

Access Key Create

Create a new access key for the authenticated account. Access keys are used to authenticate API requests on behalf of the account in a more granular and service-friendly way than a session cookie. Access keys share the same roles and permissions as the owning account and only provide a way to use an `Authorization` header as an way of interacting with the Storyden API. Access keys also allow an expiry date to be set to limit how long a key can be used to authenticate against the API.

POST
/auth/access-keys

Create a new access key for the authenticated account. Access keys are used to authenticate API requests on behalf of the account in a more granular and service-friendly way than a session cookie.

Access keys share the same roles and permissions as the owning account and only provide a way to use an Authorization header as an way of interacting with the Storyden API.

Access keys also allow an expiry date to be set to limit how long a key can be used to authenticate against the API.

Authorization

browser
cookiestoryden-session<token>

Request Body

application/json
  1. body
name*string

The name of the access key.

expires_at?string

When the access key expires, if null, it never expires.

Formatdate-time

Response Body

OK

application/json
  1. response

An access key issued to an account, this is the full access key object including the secret. This is only exposed upon creation of the key and the secret value is never stored. The caller that receives this object is responsible for securely storing the secret value for later use.

id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

name*string

The name of the access key.

enabled*boolean
expires_at?string

When the access key expires, if null, it never expires.

Formatdate-time
secret*string

The secret key used to authenticate with the API.

Keys are prefixed with a kind identifier, "sdpak" refers to a Storyden Personal Access Key and "sdbak" refers to a Storyden Bot Access Key. The two kinds are not interchangeable however they do not have behavioural differences and is merely a visual cue.

Example Request
curl -X POST 'https://example.com/api/auth/access-keys' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "name": "string",  "enabled": true,  "expires_at": "2019-08-24T14:15:22Z",  "secret": "string"}